# Sniffs and notes

## Selecting Smart Array P410 in Slot 1

Opened ACU, selected `Smart Array P410 in Slot 1` from dropdown, which generated the following requests:

```text
sys	2812	2396	2023/07/12-02:37:41.144	TRACE_LEVEL_VERBOSE	 [ReaperEvtWdfIoQueueIoDeviceControl] --> Entry <ioctl=0x4D0008
sys	2812	2396	2023/07/12-02:37:41.144	TRACE_LEVEL_INFORMATION	 [ReaperEvtWdfIoQueueIoDeviceControl][SCSI\Disk&Ven_HP&Prod_LOGICAL_VOLUME-000400] Incoming request with IoControlCode: 0x4D0008
sys	2812	2396	2023/07/12-02:37:41.144	TRACE_LEVEL_INFORMATION	 [ReaperEvtIoDeviceControlCompletionRoutine][SCSI\Disk&Ven_HP&Prod_LOGICAL_VOLUME-000400] Completed request with IoControlCode: 0x4D0008
sys	2812	2396	2023/07/12-02:37:41.144	TRACE_LEVEL_VERBOSE	 [ReaperEvtWdfIoQueueIoDeviceControl] <--
sys	2812	2396	2023/07/12-02:37:41.144	TRACE_LEVEL_VERBOSE	 [ReaperEvtWdfIoQueueIoDeviceControl] --> Entry <ioctl=0x4D0008
sys	2812	2396	2023/07/12-02:37:41.144	TRACE_LEVEL_INFORMATION	 [ReaperEvtWdfIoQueueIoDeviceControl][SCSI\Disk&Ven_HP&Prod_LOGICAL_VOLUME-000400] Incoming request with IoControlCode: 0x4D0008
sys	2812	2396	2023/07/12-02:37:41.144	TRACE_LEVEL_INFORMATION	 [ReaperEvtIoDeviceControlCompletionRoutine][SCSI\Disk&Ven_HP&Prod_LOGICAL_VOLUME-000400] Completed request with IoControlCode: 0x4D0008
sys	2812	2396	2023/07/12-02:37:41.144	TRACE_LEVEL_VERBOSE	 [ReaperEvtWdfIoQueueIoDeviceControl] <--
sys	2812	2396	2023/07/12-02:37:41.144	TRACE_LEVEL_VERBOSE	 [ReaperEvtWdfIoQueueIoDeviceControl] --> Entry <ioctl=0x4D014
sys	2812	2396	2023/07/12-02:37:41.144	TRACE_LEVEL_INFORMATION	 [ReaperEvtWdfIoQueueIoDeviceControl]>> IOCTL_SCSI_PASS_THROUGH_DIRECT
sys	2812	2396	2023/07/12-02:37:41.144	TRACE_LEVEL_VERBOSE	 [DumpAsHex][I] SCSI_PASS_THROUGH_DIRECT - Buffer length: 0056, buffer content: 380000000000060001000000FF000000FFFF000000000000907C8902000000003C00000012018300FF000000000000000000000000000000
sys	2812	2396	2023/07/12-02:37:41.144	TRACE_LEVEL_VERBOSE	 [ReaperEvtWdfIoQueueIoDeviceControl] <--
sys	1172	1288	2023/07/12-02:37:41.145	TRACE_LEVEL_INFORMATION	 [ReaperEvtIoDeviceControlCompletionRoutine][SCSI\Disk&Ven_HP&Prod_LOGICAL_VOLUME-000400] Completed request with IoControlCode: 0x4D014
sys	1172	1288	2023/07/12-02:37:41.145	TRACE_LEVEL_INFORMATION	 [ReaperEvtIoDeviceControlCompletionRoutine]<< IOCTL_SCSI_PASS_THROUGH_DIRECT
sys	1172	1288	2023/07/12-02:37:41.145	TRACE_LEVEL_VERBOSE	 [DumpAsHex][O] SCSI_PASS_THROUGH_DIRECT - Buffer length: 0056, buffer content: 38000000040006000100000020000000FFFF000000000000907C8902000000003C00000012018300FF000000000000000000000000000000
sys	2812	2396	2023/07/12-02:37:41.147	TRACE_LEVEL_VERBOSE	 [ReaperEvtWdfIoQueueIoDeviceControl] --> Entry <ioctl=0x4D0008
sys	2812	2396	2023/07/12-02:37:41.147	TRACE_LEVEL_INFORMATION	 [ReaperEvtWdfIoQueueIoDeviceControl][SCSI\Disk&Ven_HP&Prod_LOGICAL_VOLUME-000400] Incoming request with IoControlCode: 0x4D0008
sys	2812	2396	2023/07/12-02:37:41.147	TRACE_LEVEL_INFORMATION	 [ReaperEvtIoDeviceControlCompletionRoutine][SCSI\Disk&Ven_HP&Prod_LOGICAL_VOLUME-000400] Completed request with IoControlCode: 0x4D0008
sys	2812	2396	2023/07/12-02:37:41.147	TRACE_LEVEL_VERBOSE	 [ReaperEvtWdfIoQueueIoDeviceControl] <--
sys	2812	2396	2023/07/12-02:37:41.147	TRACE_LEVEL_VERBOSE	 [ReaperEvtWdfIoQueueIoDeviceControl] --> Entry <ioctl=0x4D0008
sys	2812	2396	2023/07/12-02:37:41.147	TRACE_LEVEL_INFORMATION	 [ReaperEvtWdfIoQueueIoDeviceControl][SCSI\Disk&Ven_HP&Prod_LOGICAL_VOLUME-000400] Incoming request with IoControlCode: 0x4D0008
sys	2812	2396	2023/07/12-02:37:41.147	TRACE_LEVEL_INFORMATION	 [ReaperEvtIoDeviceControlCompletionRoutine][SCSI\Disk&Ven_HP&Prod_LOGICAL_VOLUME-000400] Completed request with IoControlCode: 0x4D0008
sys	2812	2396	2023/07/12-02:37:41.147	TRACE_LEVEL_VERBOSE	 [ReaperEvtWdfIoQueueIoDeviceControl] <--
sys	2812	2396	2023/07/12-02:37:41.147	TRACE_LEVEL_VERBOSE	 [ReaperEvtWdfIoQueueIoDeviceControl] --> Entry <ioctl=0x4D014
sys	2812	2396	2023/07/12-02:37:41.147	TRACE_LEVEL_INFORMATION	 [ReaperEvtWdfIoQueueIoDeviceControl]>> IOCTL_SCSI_PASS_THROUGH_DIRECT
sys	2812	2396	2023/07/12-02:37:41.147	TRACE_LEVEL_VERBOSE	 [DumpAsHex][I] SCSI_PASS_THROUGH_DIRECT - Buffer length: 0056, buffer content: 380000000000060001000000FF000000FFFF000000000000907C8902000000003C00000012018300FF000000000000000000000000000000
sys	2812	2396	2023/07/12-02:37:41.147	TRACE_LEVEL_VERBOSE	 [ReaperEvtWdfIoQueueIoDeviceControl] <--
sys	3068	1904	2023/07/12-02:37:41.147	TRACE_LEVEL_INFORMATION	 [ReaperEvtIoDeviceControlCompletionRoutine][SCSI\Disk&Ven_HP&Prod_LOGICAL_VOLUME-000400] Completed request with IoControlCode: 0x4D014
sys	3068	1904	2023/07/12-02:37:41.147	TRACE_LEVEL_INFORMATION	 [ReaperEvtIoDeviceControlCompletionRoutine]<< IOCTL_SCSI_PASS_THROUGH_DIRECT
sys	3068	1904	2023/07/12-02:37:41.147	TRACE_LEVEL_VERBOSE	 [DumpAsHex][O] SCSI_PASS_THROUGH_DIRECT - Buffer length: 0056, buffer content: 38000000040006000100000020000000FFFF000000000000907C8902000000003C00000012018300FF000000000000000000000000000000
sys	2812	2396	2023/07/12-02:37:41.148	TRACE_LEVEL_VERBOSE	 [ReaperEvtWdfIoQueueIoDeviceControl] --> Entry <ioctl=0x4D0008
sys	2812	2396	2023/07/12-02:37:41.148	TRACE_LEVEL_INFORMATION	 [ReaperEvtWdfIoQueueIoDeviceControl][SCSI\Disk&Ven_HP&Prod_LOGICAL_VOLUME-000500] Incoming request with IoControlCode: 0x4D0008
sys	2812	2396	2023/07/12-02:37:41.148	TRACE_LEVEL_INFORMATION	 [ReaperEvtIoDeviceControlCompletionRoutine][SCSI\Disk&Ven_HP&Prod_LOGICAL_VOLUME-000500] Completed request with IoControlCode: 0x4D0008
sys	2812	2396	2023/07/12-02:37:41.148	TRACE_LEVEL_VERBOSE	 [ReaperEvtWdfIoQueueIoDeviceControl] <--
sys	2812	2396	2023/07/12-02:37:41.148	TRACE_LEVEL_VERBOSE	 [ReaperEvtWdfIoQueueIoDeviceControl] --> Entry <ioctl=0x4D0008
sys	2812	2396	2023/07/12-02:37:41.148	TRACE_LEVEL_INFORMATION	 [ReaperEvtWdfIoQueueIoDeviceControl][SCSI\Disk&Ven_HP&Prod_LOGICAL_VOLUME-000500] Incoming request with IoControlCode: 0x4D0008
sys	2812	2396	2023/07/12-02:37:41.148	TRACE_LEVEL_INFORMATION	 [ReaperEvtIoDeviceControlCompletionRoutine][SCSI\Disk&Ven_HP&Prod_LOGICAL_VOLUME-000500] Completed request with IoControlCode: 0x4D0008
sys	2812	2396	2023/07/12-02:37:41.148	TRACE_LEVEL_VERBOSE	 [ReaperEvtWdfIoQueueIoDeviceControl] <--
sys	2812	2396	2023/07/12-02:37:41.148	TRACE_LEVEL_VERBOSE	 [ReaperEvtWdfIoQueueIoDeviceControl] --> Entry <ioctl=0x4D014
sys	2812	2396	2023/07/12-02:37:41.148	TRACE_LEVEL_INFORMATION	 [ReaperEvtWdfIoQueueIoDeviceControl]>> IOCTL_SCSI_PASS_THROUGH_DIRECT
sys	2812	2396	2023/07/12-02:37:41.148	TRACE_LEVEL_VERBOSE	 [DumpAsHex][I] SCSI_PASS_THROUGH_DIRECT - Buffer length: 0056, buffer content: 380000000000060001000000FF000000FFFF000000000000907C8902000000003C00000012018300FF000000000000000000000000000000
sys	2812	2396	2023/07/12-02:37:41.148	TRACE_LEVEL_VERBOSE	 [ReaperEvtWdfIoQueueIoDeviceControl] <--
sys	3068	1904	2023/07/12-02:37:41.148	TRACE_LEVEL_INFORMATION	 [ReaperEvtIoDeviceControlCompletionRoutine][SCSI\Disk&Ven_HP&Prod_LOGICAL_VOLUME-000500] Completed request with IoControlCode: 0x4D014
sys	3068	1904	2023/07/12-02:37:41.148	TRACE_LEVEL_INFORMATION	 [ReaperEvtIoDeviceControlCompletionRoutine]<< IOCTL_SCSI_PASS_THROUGH_DIRECT
sys	3068	1904	2023/07/12-02:37:41.148	TRACE_LEVEL_VERBOSE	 [DumpAsHex][O] SCSI_PASS_THROUGH_DIRECT - Buffer length: 0056, buffer content: 38000000050006000100000020000000FFFF000000000000907C8902000000003C00000012018300FF000000000000000000000000000000
```

## Changing controller settings

### Changing Rebuild Priority

In `Controller Settings - Smart Array P410 in Slot 1` I set `Rebuild Priority` to from `Medium` (the default) to `High` and hit `Save`, which generated the following requests:

```text
sys	2164	296	2023/07/12-02:34:22.664	TRACE_LEVEL_VERBOSE	 [ReaperEvtWdfIoQueueIoDeviceControl] --> Entry <ioctl=0x4D0008
sys	2164	296	2023/07/12-02:34:22.664	TRACE_LEVEL_INFORMATION	 [ReaperEvtWdfIoQueueIoDeviceControl][SCSI\Disk&Ven_HP&Prod_LOGICAL_VOLUME-000400] Incoming request with IoControlCode: 0x4D0008
sys	2164	296	2023/07/12-02:34:22.664	TRACE_LEVEL_INFORMATION	 [ReaperEvtIoDeviceControlCompletionRoutine][SCSI\Disk&Ven_HP&Prod_LOGICAL_VOLUME-000400] Completed request with IoControlCode: 0x4D0008
sys	2164	296	2023/07/12-02:34:22.664	TRACE_LEVEL_VERBOSE	 [ReaperEvtWdfIoQueueIoDeviceControl] <--
sys	2164	296	2023/07/12-02:34:22.664	TRACE_LEVEL_VERBOSE	 [ReaperEvtWdfIoQueueIoDeviceControl] --> Entry <ioctl=0x4D0008
sys	2164	296	2023/07/12-02:34:22.664	TRACE_LEVEL_INFORMATION	 [ReaperEvtWdfIoQueueIoDeviceControl][SCSI\Disk&Ven_HP&Prod_LOGICAL_VOLUME-000400] Incoming request with IoControlCode: 0x4D0008
sys	2164	296	2023/07/12-02:34:22.664	TRACE_LEVEL_INFORMATION	 [ReaperEvtIoDeviceControlCompletionRoutine][SCSI\Disk&Ven_HP&Prod_LOGICAL_VOLUME-000400] Completed request with IoControlCode: 0x4D0008
sys	2164	296	2023/07/12-02:34:22.664	TRACE_LEVEL_VERBOSE	 [ReaperEvtWdfIoQueueIoDeviceControl] <--
sys	2164	296	2023/07/12-02:34:22.664	TRACE_LEVEL_VERBOSE	 [ReaperEvtWdfIoQueueIoDeviceControl] --> Entry <ioctl=0x4D014
sys	2164	296	2023/07/12-02:34:22.664	TRACE_LEVEL_INFORMATION	 [ReaperEvtWdfIoQueueIoDeviceControl]>> IOCTL_SCSI_PASS_THROUGH_DIRECT
sys	2164	296	2023/07/12-02:34:22.664	TRACE_LEVEL_VERBOSE	 [DumpAsHex][I] SCSI_PASS_THROUGH_DIRECT - Buffer length: 0056, buffer content: 380000000000060001000000FF000000FFFF000000000000607DCA02000000003C00000012018300FF000000000000000000000000000000
sys	2164	296	2023/07/12-02:34:22.664	TRACE_LEVEL_VERBOSE	 [ReaperEvtWdfIoQueueIoDeviceControl] <--
sys	508	372	2023/07/12-02:34:22.665	TRACE_LEVEL_INFORMATION	 [ReaperEvtIoDeviceControlCompletionRoutine][SCSI\Disk&Ven_HP&Prod_LOGICAL_VOLUME-000400] Completed request with IoControlCode: 0x4D014
sys	508	372	2023/07/12-02:34:22.665	TRACE_LEVEL_INFORMATION	 [ReaperEvtIoDeviceControlCompletionRoutine]<< IOCTL_SCSI_PASS_THROUGH_DIRECT
sys	508	372	2023/07/12-02:34:22.665	TRACE_LEVEL_VERBOSE	 [DumpAsHex][O] SCSI_PASS_THROUGH_DIRECT - Buffer length: 0056, buffer content: 38000000040006000100000020000000FFFF000000000000607DCA02000000003C00000012018300FF000000000000000000000000000000
sys	2164	296	2023/07/12-02:34:22.667	TRACE_LEVEL_VERBOSE	 [ReaperEvtWdfIoQueueIoDeviceControl] --> Entry <ioctl=0x4D0008
sys	2164	296	2023/07/12-02:34:22.667	TRACE_LEVEL_INFORMATION	 [ReaperEvtWdfIoQueueIoDeviceControl][SCSI\Disk&Ven_HP&Prod_LOGICAL_VOLUME-000400] Incoming request with IoControlCode: 0x4D0008
sys	2164	296	2023/07/12-02:34:22.667	TRACE_LEVEL_INFORMATION	 [ReaperEvtIoDeviceControlCompletionRoutine][SCSI\Disk&Ven_HP&Prod_LOGICAL_VOLUME-000400] Completed request with IoControlCode: 0x4D0008
sys	2164	296	2023/07/12-02:34:22.667	TRACE_LEVEL_VERBOSE	 [ReaperEvtWdfIoQueueIoDeviceControl] <--
sys	2164	296	2023/07/12-02:34:22.667	TRACE_LEVEL_VERBOSE	 [ReaperEvtWdfIoQueueIoDeviceControl] --> Entry <ioctl=0x4D0008
sys	2164	296	2023/07/12-02:34:22.667	TRACE_LEVEL_INFORMATION	 [ReaperEvtWdfIoQueueIoDeviceControl][SCSI\Disk&Ven_HP&Prod_LOGICAL_VOLUME-000400] Incoming request with IoControlCode: 0x4D0008
sys	2164	296	2023/07/12-02:34:22.667	TRACE_LEVEL_INFORMATION	 [ReaperEvtIoDeviceControlCompletionRoutine][SCSI\Disk&Ven_HP&Prod_LOGICAL_VOLUME-000400] Completed request with IoControlCode: 0x4D0008
sys	2164	296	2023/07/12-02:34:22.667	TRACE_LEVEL_VERBOSE	 [ReaperEvtWdfIoQueueIoDeviceControl] <--
sys	2164	296	2023/07/12-02:34:22.667	TRACE_LEVEL_VERBOSE	 [ReaperEvtWdfIoQueueIoDeviceControl] --> Entry <ioctl=0x4D014
sys	2164	296	2023/07/12-02:34:22.667	TRACE_LEVEL_INFORMATION	 [ReaperEvtWdfIoQueueIoDeviceControl]>> IOCTL_SCSI_PASS_THROUGH_DIRECT
sys	2164	296	2023/07/12-02:34:22.667	TRACE_LEVEL_VERBOSE	 [DumpAsHex][I] SCSI_PASS_THROUGH_DIRECT - Buffer length: 0056, buffer content: 380000000000060001000000FF000000FFFF000000000000607DCA02000000003C00000012018300FF000000000000000000000000000000
sys	2164	296	2023/07/12-02:34:22.667	TRACE_LEVEL_VERBOSE	 [ReaperEvtWdfIoQueueIoDeviceControl] <--
sys	1372	2772	2023/07/12-02:34:22.667	TRACE_LEVEL_INFORMATION	 [ReaperEvtIoDeviceControlCompletionRoutine][SCSI\Disk&Ven_HP&Prod_LOGICAL_VOLUME-000400] Completed request with IoControlCode: 0x4D014
sys	1372	2772	2023/07/12-02:34:22.667	TRACE_LEVEL_INFORMATION	 [ReaperEvtIoDeviceControlCompletionRoutine]<< IOCTL_SCSI_PASS_THROUGH_DIRECT
sys	1372	2772	2023/07/12-02:34:22.667	TRACE_LEVEL_VERBOSE	 [DumpAsHex][O] SCSI_PASS_THROUGH_DIRECT - Buffer length: 0056, buffer content: 38000000040006000100000020000000FFFF000000000000607DCA02000000003C00000012018300FF000000000000000000000000000000
sys	2164	296	2023/07/12-02:34:22.668	TRACE_LEVEL_VERBOSE	 [ReaperEvtWdfIoQueueIoDeviceControl] --> Entry <ioctl=0x4D0008
sys	2164	296	2023/07/12-02:34:22.668	TRACE_LEVEL_INFORMATION	 [ReaperEvtWdfIoQueueIoDeviceControl][SCSI\Disk&Ven_HP&Prod_LOGICAL_VOLUME-000500] Incoming request with IoControlCode: 0x4D0008
sys	2164	296	2023/07/12-02:34:22.668	TRACE_LEVEL_INFORMATION	 [ReaperEvtIoDeviceControlCompletionRoutine][SCSI\Disk&Ven_HP&Prod_LOGICAL_VOLUME-000500] Completed request with IoControlCode: 0x4D0008
sys	2164	296	2023/07/12-02:34:22.668	TRACE_LEVEL_VERBOSE	 [ReaperEvtWdfIoQueueIoDeviceControl] <--
sys	2164	296	2023/07/12-02:34:22.668	TRACE_LEVEL_VERBOSE	 [ReaperEvtWdfIoQueueIoDeviceControl] --> Entry <ioctl=0x4D0008
sys	2164	296	2023/07/12-02:34:22.668	TRACE_LEVEL_INFORMATION	 [ReaperEvtWdfIoQueueIoDeviceControl][SCSI\Disk&Ven_HP&Prod_LOGICAL_VOLUME-000500] Incoming request with IoControlCode: 0x4D0008
sys	2164	296	2023/07/12-02:34:22.668	TRACE_LEVEL_INFORMATION	 [ReaperEvtIoDeviceControlCompletionRoutine][SCSI\Disk&Ven_HP&Prod_LOGICAL_VOLUME-000500] Completed request with IoControlCode: 0x4D0008
sys	2164	296	2023/07/12-02:34:22.668	TRACE_LEVEL_VERBOSE	 [ReaperEvtWdfIoQueueIoDeviceControl] <--
sys	2164	296	2023/07/12-02:34:22.668	TRACE_LEVEL_VERBOSE	 [ReaperEvtWdfIoQueueIoDeviceControl] --> Entry <ioctl=0x4D014
sys	2164	296	2023/07/12-02:34:22.668	TRACE_LEVEL_INFORMATION	 [ReaperEvtWdfIoQueueIoDeviceControl]>> IOCTL_SCSI_PASS_THROUGH_DIRECT
sys	2164	296	2023/07/12-02:34:22.668	TRACE_LEVEL_VERBOSE	 [DumpAsHex][I] SCSI_PASS_THROUGH_DIRECT - Buffer length: 0056, buffer content: 380000000000060001000000FF000000FFFF000000000000607DCA02000000003C00000012018300FF000000000000000000000000000000
sys	2164	296	2023/07/12-02:34:22.668	TRACE_LEVEL_VERBOSE	 [ReaperEvtWdfIoQueueIoDeviceControl] <--
sys	1372	992	2023/07/12-02:34:22.668	TRACE_LEVEL_INFORMATION	 [ReaperEvtIoDeviceControlCompletionRoutine][SCSI\Disk&Ven_HP&Prod_LOGICAL_VOLUME-000500] Completed request with IoControlCode: 0x4D014
sys	1372	992	2023/07/12-02:34:22.668	TRACE_LEVEL_INFORMATION	 [ReaperEvtIoDeviceControlCompletionRoutine]<< IOCTL_SCSI_PASS_THROUGH_DIRECT
sys	1372	992	2023/07/12-02:34:22.668	TRACE_LEVEL_VERBOSE	 [DumpAsHex][O] SCSI_PASS_THROUGH_DIRECT - Buffer length: 0056, buffer content: 38000000050006000100000020000000FFFF000000000000607DCA02000000003C00000012018300FF000000000000000000000000000000
```

### Changing Write Cache settings

In `Caching Settings - Smart Array P410 in Slot 1`, changed `Enable Write Cache When Battery/Capacitor Not Present or Not Completely Charged` from `Disabled` to `Enabled`:

```text
sys	2812	2396	2023/07/12-02:41:49.723	TRACE_LEVEL_VERBOSE	 [ReaperEvtWdfIoQueueIoDeviceControl] --> Entry <ioctl=0x4D0008
sys	2812	2396	2023/07/12-02:41:49.723	TRACE_LEVEL_INFORMATION	 [ReaperEvtWdfIoQueueIoDeviceControl][SCSI\Disk&Ven_HP&Prod_LOGICAL_VOLUME-000400] Incoming request with IoControlCode: 0x4D0008
sys	2812	2396	2023/07/12-02:41:49.723	TRACE_LEVEL_INFORMATION	 [ReaperEvtIoDeviceControlCompletionRoutine][SCSI\Disk&Ven_HP&Prod_LOGICAL_VOLUME-000400] Completed request with IoControlCode: 0x4D0008
sys	2812	2396	2023/07/12-02:41:49.723	TRACE_LEVEL_VERBOSE	 [ReaperEvtWdfIoQueueIoDeviceControl] <--
sys	2812	2396	2023/07/12-02:41:49.723	TRACE_LEVEL_VERBOSE	 [ReaperEvtWdfIoQueueIoDeviceControl] --> Entry <ioctl=0x4D0008
sys	2812	2396	2023/07/12-02:41:49.723	TRACE_LEVEL_INFORMATION	 [ReaperEvtWdfIoQueueIoDeviceControl][SCSI\Disk&Ven_HP&Prod_LOGICAL_VOLUME-000400] Incoming request with IoControlCode: 0x4D0008
sys	2812	2396	2023/07/12-02:41:49.723	TRACE_LEVEL_INFORMATION	 [ReaperEvtIoDeviceControlCompletionRoutine][SCSI\Disk&Ven_HP&Prod_LOGICAL_VOLUME-000400] Completed request with IoControlCode: 0x4D0008
sys	2812	2396	2023/07/12-02:41:49.723	TRACE_LEVEL_VERBOSE	 [ReaperEvtWdfIoQueueIoDeviceControl] <--
sys	2812	2396	2023/07/12-02:41:49.723	TRACE_LEVEL_VERBOSE	 [ReaperEvtWdfIoQueueIoDeviceControl] --> Entry <ioctl=0x4D014
sys	2812	2396	2023/07/12-02:41:49.723	TRACE_LEVEL_INFORMATION	 [ReaperEvtWdfIoQueueIoDeviceControl]>> IOCTL_SCSI_PASS_THROUGH_DIRECT
sys	2812	2396	2023/07/12-02:41:49.723	TRACE_LEVEL_VERBOSE	 [DumpAsHex][I] SCSI_PASS_THROUGH_DIRECT - Buffer length: 0056, buffer content: 380000000000060001000000FF000000FFFF000000000000F07A8902000000003C00000012018300FF000000000000000000000000000000
sys	2812	2396	2023/07/12-02:41:49.723	TRACE_LEVEL_VERBOSE	 [ReaperEvtWdfIoQueueIoDeviceControl] <--
sys	3068	1364	2023/07/12-02:41:49.723	TRACE_LEVEL_INFORMATION	 [ReaperEvtIoDeviceControlCompletionRoutine][SCSI\Disk&Ven_HP&Prod_LOGICAL_VOLUME-000400] Completed request with IoControlCode: 0x4D014
sys	3068	1364	2023/07/12-02:41:49.723	TRACE_LEVEL_INFORMATION	 [ReaperEvtIoDeviceControlCompletionRoutine]<< IOCTL_SCSI_PASS_THROUGH_DIRECT
sys	3068	1364	2023/07/12-02:41:49.723	TRACE_LEVEL_VERBOSE	 [DumpAsHex][O] SCSI_PASS_THROUGH_DIRECT - Buffer length: 0056, buffer content: 38000000040006000100000020000000FFFF000000000000F07A8902000000003C00000012018300FF000000000000000000000000000000
sys	2812	2396	2023/07/12-02:41:49.726	TRACE_LEVEL_VERBOSE	 [ReaperEvtWdfIoQueueIoDeviceControl] --> Entry <ioctl=0x4D0008
sys	2812	2396	2023/07/12-02:41:49.726	TRACE_LEVEL_INFORMATION	 [ReaperEvtWdfIoQueueIoDeviceControl][SCSI\Disk&Ven_HP&Prod_LOGICAL_VOLUME-000400] Incoming request with IoControlCode: 0x4D0008
sys	2812	2396	2023/07/12-02:41:49.726	TRACE_LEVEL_INFORMATION	 [ReaperEvtIoDeviceControlCompletionRoutine][SCSI\Disk&Ven_HP&Prod_LOGICAL_VOLUME-000400] Completed request with IoControlCode: 0x4D0008
sys	2812	2396	2023/07/12-02:41:49.726	TRACE_LEVEL_VERBOSE	 [ReaperEvtWdfIoQueueIoDeviceControl] <--
sys	2812	2396	2023/07/12-02:41:49.726	TRACE_LEVEL_VERBOSE	 [ReaperEvtWdfIoQueueIoDeviceControl] --> Entry <ioctl=0x4D0008
sys	2812	2396	2023/07/12-02:41:49.726	TRACE_LEVEL_INFORMATION	 [ReaperEvtWdfIoQueueIoDeviceControl][SCSI\Disk&Ven_HP&Prod_LOGICAL_VOLUME-000400] Incoming request with IoControlCode: 0x4D0008
sys	2812	2396	2023/07/12-02:41:49.726	TRACE_LEVEL_INFORMATION	 [ReaperEvtIoDeviceControlCompletionRoutine][SCSI\Disk&Ven_HP&Prod_LOGICAL_VOLUME-000400] Completed request with IoControlCode: 0x4D0008
sys	2812	2396	2023/07/12-02:41:49.726	TRACE_LEVEL_VERBOSE	 [ReaperEvtWdfIoQueueIoDeviceControl] <--
sys	2812	2396	2023/07/12-02:41:49.726	TRACE_LEVEL_VERBOSE	 [ReaperEvtWdfIoQueueIoDeviceControl] --> Entry <ioctl=0x4D014
sys	2812	2396	2023/07/12-02:41:49.726	TRACE_LEVEL_INFORMATION	 [ReaperEvtWdfIoQueueIoDeviceControl]>> IOCTL_SCSI_PASS_THROUGH_DIRECT
sys	2812	2396	2023/07/12-02:41:49.726	TRACE_LEVEL_VERBOSE	 [DumpAsHex][I] SCSI_PASS_THROUGH_DIRECT - Buffer length: 0056, buffer content: 380000000000060001000000FF000000FFFF000000000000F07A8902000000003C00000012018300FF000000000000000000000000000000
sys	2812	2396	2023/07/12-02:41:49.726	TRACE_LEVEL_VERBOSE	 [ReaperEvtWdfIoQueueIoDeviceControl] <--
sys	3068	1364	2023/07/12-02:41:49.726	TRACE_LEVEL_INFORMATION	 [ReaperEvtIoDeviceControlCompletionRoutine][SCSI\Disk&Ven_HP&Prod_LOGICAL_VOLUME-000400] Completed request with IoControlCode: 0x4D014
sys	3068	1364	2023/07/12-02:41:49.726	TRACE_LEVEL_INFORMATION	 [ReaperEvtIoDeviceControlCompletionRoutine]<< IOCTL_SCSI_PASS_THROUGH_DIRECT
sys	3068	1364	2023/07/12-02:41:49.726	TRACE_LEVEL_VERBOSE	 [DumpAsHex][O] SCSI_PASS_THROUGH_DIRECT - Buffer length: 0056, buffer content: 38000000040006000100000020000000FFFF000000000000F07A8902000000003C00000012018300FF000000000000000000000000000000
sys	2812	2396	2023/07/12-02:41:49.727	TRACE_LEVEL_VERBOSE	 [ReaperEvtWdfIoQueueIoDeviceControl] --> Entry <ioctl=0x4D0008
sys	2812	2396	2023/07/12-02:41:49.727	TRACE_LEVEL_INFORMATION	 [ReaperEvtWdfIoQueueIoDeviceControl][SCSI\Disk&Ven_HP&Prod_LOGICAL_VOLUME-000500] Incoming request with IoControlCode: 0x4D0008
sys	2812	2396	2023/07/12-02:41:49.727	TRACE_LEVEL_INFORMATION	 [ReaperEvtIoDeviceControlCompletionRoutine][SCSI\Disk&Ven_HP&Prod_LOGICAL_VOLUME-000500] Completed request with IoControlCode: 0x4D0008
sys	2812	2396	2023/07/12-02:41:49.727	TRACE_LEVEL_VERBOSE	 [ReaperEvtWdfIoQueueIoDeviceControl] <--
sys	2812	2396	2023/07/12-02:41:49.727	TRACE_LEVEL_VERBOSE	 [ReaperEvtWdfIoQueueIoDeviceControl] --> Entry <ioctl=0x4D0008
sys	2812	2396	2023/07/12-02:41:49.727	TRACE_LEVEL_INFORMATION	 [ReaperEvtWdfIoQueueIoDeviceControl][SCSI\Disk&Ven_HP&Prod_LOGICAL_VOLUME-000500] Incoming request with IoControlCode: 0x4D0008
sys	2812	2396	2023/07/12-02:41:49.727	TRACE_LEVEL_INFORMATION	 [ReaperEvtIoDeviceControlCompletionRoutine][SCSI\Disk&Ven_HP&Prod_LOGICAL_VOLUME-000500] Completed request with IoControlCode: 0x4D0008
sys	2812	2396	2023/07/12-02:41:49.727	TRACE_LEVEL_VERBOSE	 [ReaperEvtWdfIoQueueIoDeviceControl] <--
sys	2812	2396	2023/07/12-02:41:49.727	TRACE_LEVEL_VERBOSE	 [ReaperEvtWdfIoQueueIoDeviceControl] --> Entry <ioctl=0x4D014
sys	2812	2396	2023/07/12-02:41:49.727	TRACE_LEVEL_INFORMATION	 [ReaperEvtWdfIoQueueIoDeviceControl]>> IOCTL_SCSI_PASS_THROUGH_DIRECT
sys	2812	2396	2023/07/12-02:41:49.727	TRACE_LEVEL_VERBOSE	 [DumpAsHex][I] SCSI_PASS_THROUGH_DIRECT - Buffer length: 0056, buffer content: 380000000000060001000000FF000000FFFF000000000000F07A8902000000003C00000012018300FF000000000000000000000000000000
sys	2812	2396	2023/07/12-02:41:49.727	TRACE_LEVEL_VERBOSE	 [ReaperEvtWdfIoQueueIoDeviceControl] <--
sys	3068	1364	2023/07/12-02:41:49.727	TRACE_LEVEL_INFORMATION	 [ReaperEvtIoDeviceControlCompletionRoutine][SCSI\Disk&Ven_HP&Prod_LOGICAL_VOLUME-000500] Completed request with IoControlCode: 0x4D014
sys	3068	1364	2023/07/12-02:41:49.727	TRACE_LEVEL_INFORMATION	 [ReaperEvtIoDeviceControlCompletionRoutine]<< IOCTL_SCSI_PASS_THROUGH_DIRECT
sys	3068	1364	2023/07/12-02:41:49.727	TRACE_LEVEL_VERBOSE	 [DumpAsHex][O] SCSI_PASS_THROUGH_DIRECT - Buffer length: 0056, buffer content: 38000000050006000100000020000000FFFF000000000000F07A8902000000003C00000012018300FF000000000000000000000000000000
```
